"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _Layout = require("../Layout");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const cssFonts = {
  fontFamily: "Open Sans, Helvetica"
};
const cssFontsBold = { ...cssFonts,
  fontWeight: 700
};

const cssInscriptionActionSolo = css => ({ ...(css || {}),
  paddingLeft: 40
});

const cssInscriptionActionPadding = marginTop => ({
  height: marginTop
});

const cssInscriptionAction = {
  backgroundColor: "#f2f2f2",
  borderRadius: "10px 0px 0px 10px",
  padding: "10px 20px",
  color: "#4d4d4d",
  ...cssFonts,
  ...cssFontsBold
};
const cssInscriptionActionButton = {
  padding: "10px 20px",
  background: "#f2f2f2",
  borderRadius: "0px 10px 10px 0px"
};
const cssInscriptionActionButtonIn = {
  display: "inline-block",
  backgroundColor: "#CC0900",
  borderRadius: 5,
  padding: "14px 20px",
  letterSpacing: 1,
  color: "#ffffff",
  cursor: "pointer",
  ...cssFontsBold
};

const Action = ({
  label,
  hint,
  onClick,
  solo,
  css,
  marginTop
}) => {
  const content = /*#__PURE__*/React.createElement(React.Fragment, null, marginTop && marginTop > 0 && /*#__PURE__*/React.createElement(_Layout.Row, null, /*#__PURE__*/React.createElement(_Layout.Cell, {
    md: 12,
    css: cssInscriptionActionPadding(marginTop)
  })), /*#__PURE__*/React.createElement(_Layout.Row, null, /*#__PURE__*/React.createElement(_Layout.Cell, {
    md: 6,
    css: cssInscriptionAction
  }, hint), /*#__PURE__*/React.createElement(_Layout.Cell, {
    md: 6,
    css: cssInscriptionActionButton,
    align: "right"
  }, /*#__PURE__*/React.createElement("span", {
    style: cssInscriptionActionButtonIn,
    onClick: onClick
  }, label))));
  return solo ? /*#__PURE__*/React.createElement(_Layout.Box, {
    css: cssInscriptionActionSolo(css)
  }, content) : content;
};

var _default = Action;
exports.default = _default;