"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _Context = _interopRequireDefault(require("../Context"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const convertAlign = align => align === "left" || align === "top" ? "flex-start" : align === "center" || align === "middle" ? "center" : "flex-end";

const computeCss = (css, content, xs, md, direction, justifyContent, alignItems) => ({ ...css,
  gridColumn: `${md} span`,
  display: content === "text" ? "inline" : "flex",
  flexDirection: direction,
  justifyContent: convertAlign(direction === "row" ? justifyContent : alignItems),
  alignItems: convertAlign(direction === "row" ? alignItems : justifyContent)
});

const Cell = ({
  children,
  xs = 12,
  md = 12,
  css,
  content = "cell",
  direction = "row",
  align = "left",
  valign = "middle",
  onClick
}) => {
  const context = React.useContext(_Context.default);
  return context.mail ? /*#__PURE__*/React.createElement("td", {
    colSpan: md,
    style: css,
    align: align,
    valign: valign,
    onClick: onClick
  }, children) : /*#__PURE__*/React.createElement("div", {
    style: computeCss(css, content, xs, md, direction, align, valign),
    onClick: onClick
  }, children);
};

var _default = Cell;
exports.default = _default;