"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _express = _interopRequireDefault(require("express"));

var _gitInfo = _interopRequireDefault(require("git-info"));

var _util = _interopRequireDefault(require("util"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const git = _util.default.promisify(_gitInfo.default);

const router = _express.default.Router();

const health = (name, env) => {
  return router.get("/health", async (_, res) => {
    const gitInfo = await git(["branch", "repository", "shaShort", "authorDate"]);
    res.send({
      app: name,
      timestamp: new Date(),
      env: env,
      ...gitInfo
    });
  });
};

var _default = health;
exports.default = _default;