"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.asTime = exports.asDate = exports.asDuration = exports.asBoolean = exports.asNumber = exports.asInt = exports.asUndefinedIfNull = void 0;
const timeRegex = /PT([0-9]*)H([0-9]*)/;

const isDefined = value => value !== undefined && value !== null;

const asUndefinedIfNull = value => {
  return value === null ? undefined : value;
};

exports.asUndefinedIfNull = asUndefinedIfNull;

const asInt = string => {
  return isDefined(string) ? parseInt(string, 10) : string;
};

exports.asInt = asInt;

const asNumber = x => {
  return isDefined(x) ? Number(x) : undefined;
};

exports.asNumber = asNumber;

const asBoolean = string => {
  return string === "true";
};

exports.asBoolean = asBoolean;

const asDuration = minutes => {
  const hh = Math.floor(minutes / 60);
  const mi = String(minutes % 60).padStart(2, "0");
  return `${hh}h${mi}`;
}; // export const asDate = x => {
//   return new Date(x.includes('+') ? x : `${x}+00:00`)
// }


exports.asDuration = asDuration;

const asDate = x => {
  return new Date(x);
};

exports.asDate = asDate;

const asTime = x => {
  const parsed = timeRegex.exec(x);
  const hh = parsed[1].padStart(2, "0");
  const mi = parsed[2].padStart(2, "0");
  return `${hh}h${mi}`;
};

exports.asTime = asTime;