"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.distinctByDate = exports.distinctBy = exports.distinct = void 0;

const distinct = xs => Array.from(new Set(xs));

exports.distinct = distinct;

const distinctBy = key => xs => {
  const dynamic = typeof key === "function";
  return xs.filter(function (x) {
    const value = dynamic ? key(x) : x[key];
    return this.has(value) ? false : this.add(value);
  }, new Set());
};

exports.distinctBy = distinctBy;

const distinctByDate = xs => distinct(xs.map(x => x.getTime())).map(x => new Date(x));

exports.distinctByDate = distinctByDate;